<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: arm_compute/runtime/NEON/NEFunctions.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.xhtml"><span>File&#160;List</span></a></li>
      <li><a href="globals.xhtml"><span>Globals</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('_n_e_functions_8h_source.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">NEFunctions.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_n_e_functions_8h.xhtml">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2016, 2017 ARM Limited.</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * SPDX-License-Identifier: MIT</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * Permission is hereby granted, free of charge, to any person obtaining a copy</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> * of this software and associated documentation files (the &quot;Software&quot;), to</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> * deal in the Software without restriction, including without limitation the</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> * rights to use, copy, modify, merge, publish, distribute, sublicense, and/or</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * sell copies of the Software, and to permit persons to whom the Software is</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * furnished to do so, subject to the following conditions:</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * The above copyright notice and this permission notice shall be included in all</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * copies or substantial portions of the Software.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment"> * THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment"> * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment"> * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment"> * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment"> * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment"> * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment"> * SOFTWARE.</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#ifndef __ARM_COMPUTE_NEFUNCTIONS_H__</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#define __ARM_COMPUTE_NEFUNCTIONS_H__</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">/* Header regrouping all the NEON functions */</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_absolute_difference_8h.xhtml">arm_compute/runtime/NEON/functions/NEAbsoluteDifference.h</a>&quot;</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_accumulate_8h.xhtml">arm_compute/runtime/NEON/functions/NEAccumulate.h</a>&quot;</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_activation_layer_8h.xhtml">arm_compute/runtime/NEON/functions/NEActivationLayer.h</a>&quot;</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_arithmetic_addition_8h.xhtml">arm_compute/runtime/NEON/functions/NEArithmeticAddition.h</a>&quot;</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_arithmetic_subtraction_8h.xhtml">arm_compute/runtime/NEON/functions/NEArithmeticSubtraction.h</a>&quot;</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_and_8h.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseAnd.h</a>&quot;</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_not_8h.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseNot.h</a>&quot;</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_or_8h.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseOr.h</a>&quot;</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_bitwise_xor_8h.xhtml">arm_compute/runtime/NEON/functions/NEBitwiseXor.h</a>&quot;</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_box3x3_8h.xhtml">arm_compute/runtime/NEON/functions/NEBox3x3.h</a>&quot;</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_canny_edge_8h.xhtml">arm_compute/runtime/NEON/functions/NECannyEdge.h</a>&quot;</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_channel_combine_8h.xhtml">arm_compute/runtime/NEON/functions/NEChannelCombine.h</a>&quot;</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_channel_extract_8h.xhtml">arm_compute/runtime/NEON/functions/NEChannelExtract.h</a>&quot;</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_color_convert_8h.xhtml">arm_compute/runtime/NEON/functions/NEColorConvert.h</a>&quot;</span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_convolution_8h.xhtml">arm_compute/runtime/NEON/functions/NEConvolution.h</a>&quot;</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_convolution_layer_8h.xhtml">arm_compute/runtime/NEON/functions/NEConvolutionLayer.h</a>&quot;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_depth_convert_8h.xhtml">arm_compute/runtime/NEON/functions/NEDepthConvert.h</a>&quot;</span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_derivative_8h.xhtml">arm_compute/runtime/NEON/functions/NEDerivative.h</a>&quot;</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_dilate_8h.xhtml">arm_compute/runtime/NEON/functions/NEDilate.h</a>&quot;</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_equalize_histogram_8h.xhtml">arm_compute/runtime/NEON/functions/NEEqualizeHistogram.h</a>&quot;</span></div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_erode_8h.xhtml">arm_compute/runtime/NEON/functions/NEErode.h</a>&quot;</span></div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fast_corners_8h.xhtml">arm_compute/runtime/NEON/functions/NEFastCorners.h</a>&quot;</span></div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fill_border_8h.xhtml">arm_compute/runtime/NEON/functions/NEFillBorder.h</a>&quot;</span></div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_fully_connected_layer_8h.xhtml">arm_compute/runtime/NEON/functions/NEFullyConnectedLayer.h</a>&quot;</span></div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_8h.xhtml">arm_compute/runtime/NEON/functions/NEGEMM.h</a>&quot;</span></div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_interleave4x4_8h.xhtml">arm_compute/runtime/NEON/functions/NEGEMMInterleave4x4.h</a>&quot;</span></div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_lowp_8h.xhtml">arm_compute/runtime/NEON/functions/NEGEMMLowp.h</a>&quot;</span></div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_g_e_m_m_transpose1x_w_8h.xhtml">arm_compute/runtime/NEON/functions/NEGEMMTranspose1xW.h</a>&quot;</span></div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_gaussian3x3_8h.xhtml">arm_compute/runtime/NEON/functions/NEGaussian3x3.h</a>&quot;</span></div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_gaussian5x5_8h.xhtml">arm_compute/runtime/NEON/functions/NEGaussian5x5.h</a>&quot;</span></div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_gaussian_pyramid_8h.xhtml">arm_compute/runtime/NEON/functions/NEGaussianPyramid.h</a>&quot;</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_descriptor_8h.xhtml">arm_compute/runtime/NEON/functions/NEHOGDescriptor.h</a>&quot;</span></div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_detector_8h.xhtml">arm_compute/runtime/NEON/functions/NEHOGDetector.h</a>&quot;</span></div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_gradient_8h.xhtml">arm_compute/runtime/NEON/functions/NEHOGGradient.h</a>&quot;</span></div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_h_o_g_multi_detection_8h.xhtml">arm_compute/runtime/NEON/functions/NEHOGMultiDetection.h</a>&quot;</span></div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_harris_corners_8h.xhtml">arm_compute/runtime/NEON/functions/NEHarrisCorners.h</a>&quot;</span></div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_histogram_8h.xhtml">arm_compute/runtime/NEON/functions/NEHistogram.h</a>&quot;</span></div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_integral_image_8h.xhtml">arm_compute/runtime/NEON/functions/NEIntegralImage.h</a>&quot;</span></div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_laplacian_pyramid_8h.xhtml">arm_compute/runtime/NEON/functions/NELaplacianPyramid.h</a>&quot;</span></div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_laplacian_reconstruct_8h.xhtml">arm_compute/runtime/NEON/functions/NELaplacianReconstruct.h</a>&quot;</span></div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_magnitude_8h.xhtml">arm_compute/runtime/NEON/functions/NEMagnitude.h</a>&quot;</span></div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_mean_std_dev_8h.xhtml">arm_compute/runtime/NEON/functions/NEMeanStdDev.h</a>&quot;</span></div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_median3x3_8h.xhtml">arm_compute/runtime/NEON/functions/NEMedian3x3.h</a>&quot;</span></div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_min_max_location_8h.xhtml">arm_compute/runtime/NEON/functions/NEMinMaxLocation.h</a>&quot;</span></div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_non_linear_filter_8h.xhtml">arm_compute/runtime/NEON/functions/NENonLinearFilter.h</a>&quot;</span></div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_non_maxima_suppression3x3_8h.xhtml">arm_compute/runtime/NEON/functions/NENonMaximaSuppression3x3.h</a>&quot;</span></div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_normalization_layer_8h.xhtml">arm_compute/runtime/NEON/functions/NENormalizationLayer.h</a>&quot;</span></div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_optical_flow_8h.xhtml">arm_compute/runtime/NEON/functions/NEOpticalFlow.h</a>&quot;</span></div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_phase_8h.xhtml">arm_compute/runtime/NEON/functions/NEPhase.h</a>&quot;</span></div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_pixel_wise_multiplication_8h.xhtml">arm_compute/runtime/NEON/functions/NEPixelWiseMultiplication.h</a>&quot;</span></div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_pooling_layer_8h.xhtml">arm_compute/runtime/NEON/functions/NEPoolingLayer.h</a>&quot;</span></div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_remap_8h.xhtml">arm_compute/runtime/NEON/functions/NERemap.h</a>&quot;</span></div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_scale_8h.xhtml">arm_compute/runtime/NEON/functions/NEScale.h</a>&quot;</span></div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_scharr3x3_8h.xhtml">arm_compute/runtime/NEON/functions/NEScharr3x3.h</a>&quot;</span></div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_sobel3x3_8h.xhtml">arm_compute/runtime/NEON/functions/NESobel3x3.h</a>&quot;</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_sobel5x5_8h.xhtml">arm_compute/runtime/NEON/functions/NESobel5x5.h</a>&quot;</span></div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_sobel7x7_8h.xhtml">arm_compute/runtime/NEON/functions/NESobel7x7.h</a>&quot;</span></div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_softmax_layer_8h.xhtml">arm_compute/runtime/NEON/functions/NESoftmaxLayer.h</a>&quot;</span></div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_table_lookup_8h.xhtml">arm_compute/runtime/NEON/functions/NETableLookup.h</a>&quot;</span></div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_threshold_8h.xhtml">arm_compute/runtime/NEON/functions/NEThreshold.h</a>&quot;</span></div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_transpose_8h.xhtml">arm_compute/runtime/NEON/functions/NETranspose.h</a>&quot;</span></div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_warp_affine_8h.xhtml">arm_compute/runtime/NEON/functions/NEWarpAffine.h</a>&quot;</span></div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_n_e_warp_perspective_8h.xhtml">arm_compute/runtime/NEON/functions/NEWarpPerspective.h</a>&quot;</span></div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* __ARM_COMPUTE_NEFUNCTIONS_H__ */</span><span class="preprocessor"></span></div><div class="ttc" id="_n_e_remap_8h_xhtml"><div class="ttname"><a href="_n_e_remap_8h.xhtml">NERemap.h</a></div></div>
<div class="ttc" id="_n_e_box3x3_8h_xhtml"><div class="ttname"><a href="_n_e_box3x3_8h.xhtml">NEBox3x3.h</a></div></div>
<div class="ttc" id="_n_e_mean_std_dev_8h_xhtml"><div class="ttname"><a href="_n_e_mean_std_dev_8h.xhtml">NEMeanStdDev.h</a></div></div>
<div class="ttc" id="_n_e_dilate_8h_xhtml"><div class="ttname"><a href="_n_e_dilate_8h.xhtml">NEDilate.h</a></div></div>
<div class="ttc" id="_n_e_convolution_layer_8h_xhtml"><div class="ttname"><a href="_n_e_convolution_layer_8h.xhtml">NEConvolutionLayer.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_or_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_or_8h.xhtml">NEBitwiseOr.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_interleave4x4_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_interleave4x4_8h.xhtml">NEGEMMInterleave4x4.h</a></div></div>
<div class="ttc" id="_n_e_arithmetic_subtraction_8h_xhtml"><div class="ttname"><a href="_n_e_arithmetic_subtraction_8h.xhtml">NEArithmeticSubtraction.h</a></div></div>
<div class="ttc" id="_n_e_harris_corners_8h_xhtml"><div class="ttname"><a href="_n_e_harris_corners_8h.xhtml">NEHarrisCorners.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_8h.xhtml">NEGEMM.h</a></div></div>
<div class="ttc" id="_n_e_color_convert_8h_xhtml"><div class="ttname"><a href="_n_e_color_convert_8h.xhtml">NEColorConvert.h</a></div></div>
<div class="ttc" id="_n_e_scharr3x3_8h_xhtml"><div class="ttname"><a href="_n_e_scharr3x3_8h.xhtml">NEScharr3x3.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_transpose1x_w_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_transpose1x_w_8h.xhtml">NEGEMMTranspose1xW.h</a></div></div>
<div class="ttc" id="_n_e_sobel3x3_8h_xhtml"><div class="ttname"><a href="_n_e_sobel3x3_8h.xhtml">NESobel3x3.h</a></div></div>
<div class="ttc" id="_n_e_convolution_8h_xhtml"><div class="ttname"><a href="_n_e_convolution_8h.xhtml">NEConvolution.h</a></div></div>
<div class="ttc" id="_n_e_gaussian5x5_8h_xhtml"><div class="ttname"><a href="_n_e_gaussian5x5_8h.xhtml">NEGaussian5x5.h</a></div></div>
<div class="ttc" id="_n_e_laplacian_pyramid_8h_xhtml"><div class="ttname"><a href="_n_e_laplacian_pyramid_8h.xhtml">NELaplacianPyramid.h</a></div></div>
<div class="ttc" id="_n_e_non_maxima_suppression3x3_8h_xhtml"><div class="ttname"><a href="_n_e_non_maxima_suppression3x3_8h.xhtml">NENonMaximaSuppression3x3.h</a></div></div>
<div class="ttc" id="_n_e_integral_image_8h_xhtml"><div class="ttname"><a href="_n_e_integral_image_8h.xhtml">NEIntegralImage.h</a></div></div>
<div class="ttc" id="_n_e_laplacian_reconstruct_8h_xhtml"><div class="ttname"><a href="_n_e_laplacian_reconstruct_8h.xhtml">NELaplacianReconstruct.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_xor_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_xor_8h.xhtml">NEBitwiseXor.h</a></div></div>
<div class="ttc" id="_n_e_warp_affine_8h_xhtml"><div class="ttname"><a href="_n_e_warp_affine_8h.xhtml">NEWarpAffine.h</a></div></div>
<div class="ttc" id="_n_e_erode_8h_xhtml"><div class="ttname"><a href="_n_e_erode_8h.xhtml">NEErode.h</a></div></div>
<div class="ttc" id="_n_e_accumulate_8h_xhtml"><div class="ttname"><a href="_n_e_accumulate_8h.xhtml">NEAccumulate.h</a></div></div>
<div class="ttc" id="_n_e_activation_layer_8h_xhtml"><div class="ttname"><a href="_n_e_activation_layer_8h.xhtml">NEActivationLayer.h</a></div></div>
<div class="ttc" id="_n_e_pooling_layer_8h_xhtml"><div class="ttname"><a href="_n_e_pooling_layer_8h.xhtml">NEPoolingLayer.h</a></div></div>
<div class="ttc" id="_n_e_channel_extract_8h_xhtml"><div class="ttname"><a href="_n_e_channel_extract_8h.xhtml">NEChannelExtract.h</a></div></div>
<div class="ttc" id="_n_e_channel_combine_8h_xhtml"><div class="ttname"><a href="_n_e_channel_combine_8h.xhtml">NEChannelCombine.h</a></div></div>
<div class="ttc" id="_n_e_h_o_g_multi_detection_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_multi_detection_8h.xhtml">NEHOGMultiDetection.h</a></div></div>
<div class="ttc" id="_n_e_depth_convert_8h_xhtml"><div class="ttname"><a href="_n_e_depth_convert_8h.xhtml">NEDepthConvert.h</a></div></div>
<div class="ttc" id="_n_e_transpose_8h_xhtml"><div class="ttname"><a href="_n_e_transpose_8h.xhtml">NETranspose.h</a></div></div>
<div class="ttc" id="_n_e_min_max_location_8h_xhtml"><div class="ttname"><a href="_n_e_min_max_location_8h.xhtml">NEMinMaxLocation.h</a></div></div>
<div class="ttc" id="_n_e_warp_perspective_8h_xhtml"><div class="ttname"><a href="_n_e_warp_perspective_8h.xhtml">NEWarpPerspective.h</a></div></div>
<div class="ttc" id="_n_e_arithmetic_addition_8h_xhtml"><div class="ttname"><a href="_n_e_arithmetic_addition_8h.xhtml">NEArithmeticAddition.h</a></div></div>
<div class="ttc" id="_n_e_histogram_8h_xhtml"><div class="ttname"><a href="_n_e_histogram_8h.xhtml">NEHistogram.h</a></div></div>
<div class="ttc" id="_n_e_derivative_8h_xhtml"><div class="ttname"><a href="_n_e_derivative_8h.xhtml">NEDerivative.h</a></div></div>
<div class="ttc" id="_n_e_magnitude_8h_xhtml"><div class="ttname"><a href="_n_e_magnitude_8h.xhtml">NEMagnitude.h</a></div></div>
<div class="ttc" id="_n_e_canny_edge_8h_xhtml"><div class="ttname"><a href="_n_e_canny_edge_8h.xhtml">NECannyEdge.h</a></div></div>
<div class="ttc" id="_n_e_sobel5x5_8h_xhtml"><div class="ttname"><a href="_n_e_sobel5x5_8h.xhtml">NESobel5x5.h</a></div></div>
<div class="ttc" id="_n_e_sobel7x7_8h_xhtml"><div class="ttname"><a href="_n_e_sobel7x7_8h.xhtml">NESobel7x7.h</a></div></div>
<div class="ttc" id="_n_e_table_lookup_8h_xhtml"><div class="ttname"><a href="_n_e_table_lookup_8h.xhtml">NETableLookup.h</a></div></div>
<div class="ttc" id="_n_e_fast_corners_8h_xhtml"><div class="ttname"><a href="_n_e_fast_corners_8h.xhtml">NEFastCorners.h</a></div></div>
<div class="ttc" id="_n_e_absolute_difference_8h_xhtml"><div class="ttname"><a href="_n_e_absolute_difference_8h.xhtml">NEAbsoluteDifference.h</a></div></div>
<div class="ttc" id="_n_e_g_e_m_m_lowp_8h_xhtml"><div class="ttname"><a href="_n_e_g_e_m_m_lowp_8h.xhtml">NEGEMMLowp.h</a></div></div>
<div class="ttc" id="_n_e_threshold_8h_xhtml"><div class="ttname"><a href="_n_e_threshold_8h.xhtml">NEThreshold.h</a></div></div>
<div class="ttc" id="_n_e_softmax_layer_8h_xhtml"><div class="ttname"><a href="_n_e_softmax_layer_8h.xhtml">NESoftmaxLayer.h</a></div></div>
<div class="ttc" id="_n_e_h_o_g_detector_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_detector_8h.xhtml">NEHOGDetector.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_and_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_and_8h.xhtml">NEBitwiseAnd.h</a></div></div>
<div class="ttc" id="_n_e_fill_border_8h_xhtml"><div class="ttname"><a href="_n_e_fill_border_8h.xhtml">NEFillBorder.h</a></div></div>
<div class="ttc" id="_n_e_h_o_g_descriptor_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_descriptor_8h.xhtml">NEHOGDescriptor.h</a></div></div>
<div class="ttc" id="_n_e_gaussian_pyramid_8h_xhtml"><div class="ttname"><a href="_n_e_gaussian_pyramid_8h.xhtml">NEGaussianPyramid.h</a></div></div>
<div class="ttc" id="_n_e_equalize_histogram_8h_xhtml"><div class="ttname"><a href="_n_e_equalize_histogram_8h.xhtml">NEEqualizeHistogram.h</a></div></div>
<div class="ttc" id="_n_e_optical_flow_8h_xhtml"><div class="ttname"><a href="_n_e_optical_flow_8h.xhtml">NEOpticalFlow.h</a></div></div>
<div class="ttc" id="_n_e_fully_connected_layer_8h_xhtml"><div class="ttname"><a href="_n_e_fully_connected_layer_8h.xhtml">NEFullyConnectedLayer.h</a></div></div>
<div class="ttc" id="_n_e_median3x3_8h_xhtml"><div class="ttname"><a href="_n_e_median3x3_8h.xhtml">NEMedian3x3.h</a></div></div>
<div class="ttc" id="_n_e_scale_8h_xhtml"><div class="ttname"><a href="_n_e_scale_8h.xhtml">NEScale.h</a></div></div>
<div class="ttc" id="_n_e_normalization_layer_8h_xhtml"><div class="ttname"><a href="_n_e_normalization_layer_8h.xhtml">NENormalizationLayer.h</a></div></div>
<div class="ttc" id="_n_e_non_linear_filter_8h_xhtml"><div class="ttname"><a href="_n_e_non_linear_filter_8h.xhtml">NENonLinearFilter.h</a></div></div>
<div class="ttc" id="_n_e_h_o_g_gradient_8h_xhtml"><div class="ttname"><a href="_n_e_h_o_g_gradient_8h.xhtml">NEHOGGradient.h</a></div></div>
<div class="ttc" id="_n_e_bitwise_not_8h_xhtml"><div class="ttname"><a href="_n_e_bitwise_not_8h.xhtml">NEBitwiseNot.h</a></div></div>
<div class="ttc" id="_n_e_phase_8h_xhtml"><div class="ttname"><a href="_n_e_phase_8h.xhtml">NEPhase.h</a></div></div>
<div class="ttc" id="_n_e_pixel_wise_multiplication_8h_xhtml"><div class="ttname"><a href="_n_e_pixel_wise_multiplication_8h.xhtml">NEPixelWiseMultiplication.h</a></div></div>
<div class="ttc" id="_n_e_gaussian3x3_8h_xhtml"><div class="ttname"><a href="_n_e_gaussian3x3_8h.xhtml">NEGaussian3x3.h</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_214608ef36d61442cb2b0c1c4e9a7def.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="dir_8bc26130589aa16388b5a02f17abf2c2.xhtml">runtime</a></li><li class="navelem"><a class="el" href="dir_65e289039e1347f87d412b0a1b1a312c.xhtml">NEON</a></li><li class="navelem"><a class="el" href="_n_e_functions_8h.xhtml">NEFunctions.h</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:09 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
